mscorlib 4.0.0.0 System.Collections.Generic.IEnumerable<T> System.Collections.ICollection To be added.

For more information, see Thread-Safe Collections and BlockingCollection Overview.

Defines methods to manipulate thread-safe collections intended for producer/consumer usage. This interface provides a unified representation for producer/consumer collections so that higher level abstractions such as can use the collection as the underlying storage mechanism.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  T[]

  The method provides a snapshot of the underlying collection. It is possible for other threads to add or remove items immediately after the array is made.

  Copies the elements contained in the to a new array.

  A new array containing the elements copied from the .

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.